### File

`packages/eui/packages/components-next/src/lib/components/eui-menu/eui-menu.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-menu`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-menu.component.html`

### Index

###### Properties
inputFilterElement itemsState
###### Methods
Public onActionIconClick Public onClearInput Public onClick Public onExpandToggle Public onFilter Public onMenuFilterClick
###### Inputs
collapseMenuLabel expandAllItems expandMenuLabel externalLinkLabel fragmentId hasFilter hasIcons hasTooltip isCollapsed items searchFilterLabel
###### Outputs
onClicked onItemClicked
###### HostBindings
class
###### HostListeners
click

### Constructor

`constructor(router: Router, route: ActivatedRoute)`
Parameters :
Name | Type | Optional
router | `Router` | No
route | `ActivatedRoute` | No

### Inputs

collapseMenuLabel
Type : `string`

expandAllItems
Default value : `false`

expandMenuLabel
Type : `string`

externalLinkLabel
Type : `string`

fragmentId
Type : `string`

hasFilter
Default value : `false`

hasIcons
Default value : `false`

hasTooltip
Default value : `false`

isCollapsed
Default value : `false`

items
Type : `EuiMenuItem[]`

searchFilterLabel
Type : `string`

### Outputs

onClicked
Type : `EventEmitter<any>`

onItemClicked
Type : `EventEmitter<EuiMenuItem>`

### HostBindings

class

### HostListeners

click
Arguments : `'$event'`
`click(event: MouseEvent)`

### Methods

Public onActionIconClick
`onActionIconClick(event: EuiActionIconEvent)`
Parameters :
Name | Type | Optional
event | `EuiActionIconEvent` | No
Returns : `void`

Public onClearInput
`onClearInput()`
Returns : `void`

Public onClick
`onClick(item: EuiMenuItem)`
Parameters :
Name | Type | Optional
item | `EuiMenuItem` | No
Returns : `void`

Public onExpandToggle
`onExpandToggle(item: EuiMenuItem)`
Parameters :
Name | Type | Optional
item | `EuiMenuItem` | No
Returns : `void`

Public onFilter
`onFilter(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

Public onMenuFilterClick
`onMenuFilterClick(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Properties

inputFilterElement
Type : `ElementRef<any>`
Decorators : `@ViewChild('input', {static: false})`

itemsState
Type : `any[]`

# result-matching ""

# No results matching ""